| Standard Telecom Module

Standard Telecom Module

The Standard Telecom module is an original implementation of various standards managed by the International Telecommunictaion Union (ITU). At the heart of this module is the Abstract Syntax Notation (ANS.1) which is widely used to model data records and store certificates.

Standard Telecom Reference

AsnNode

The `AsnNode` class is the base class used to represent the asn tree. The structure of the node is defined in ITU-T X.690 recommendation. This implementation supports 64 bits tag number with natural machine length encoding. The Canonical Encoding Rule (CER) and Distinguished Encoding Rule (DER) are defined by the class. Since ASN.1 provides several encoding schemes, the class is designed to be as generic as possible but does not provides the mechanism for changing from one representation to another although it is perfectly valid to read a DER representation and write it in the CER form.

Predicate

    asn-node-p

Inheritance

    Object

Methods

write (→ none) (none|OutputStream|Buffer)

The write method write the asn node contents as well as the child nodes to an output stream argument or a buffer. Without argument, the node is written to the interpreter output stream. With one argument, the node is written to the specified stream or buffer.

AsnEoc

The `AsnEoc` class is is the asn object class that encodes the eoc or end-of-content primitive. This primitive is almost never used but its encoding is used with the indefinite length encoding.

Predicate

    asn-eoc-p

Inheritance

    AsnNode

Constructors

AsnEoc (none)

The AsnEoc constructor creates a default asn eoc node.